## NAME

r.distance - Locates the closest points between objects in two raster maps.
(GRASS Raster Program)

## SYNOPSIS

r.distance
r.distance help
r.distance [-lq] maps=map1,map2 [fs=name]

## DESCRIPTION

Locates the closest points between "objects" in two raster maps. An "object" is defined as all the grid cells that have the same category number, and closest means having the shortest "straight-line" distance.

The output is an ascii list, one line per pair of objects

               cat1:cat2:distance:east1:north1:east2:north2

### Explanation:

cat1
  Category number from map1
cat2
  Category number from map2
distance
  The distance in meters between "cat1" and "cat2"
east1,north1
  The coordinates of the grid cell "cat1" which is closest to "cat2"
east2,north2
  The coordinates of the grid cell "cat2" which is closest to "cat1"

## COMMAND LINE OPTIONS

### Flags:

-l
  Include category labels in the output
-q
  Run quietly

### Parameters:

maps
  Maps for computing inter-class distances
fs
  Output field separator
  Default is a colon (:)

## NOTES

The output format lends itself to filtering. For example, to "see" lines connecting each of the category pairs in two maps, filter the output using awk and then into d.map graph:

  r.distance maps=map1,map2 | \
  awk -F: '{print "move",$4,$5,"draw",$6,$7}' | d.mapgraph

  To create a site list of all the "map1" coordinates, filter the output into awk and then into s.in.ascii:

  r.distance maps=map1,map2 | \
  awk -F: '{print $4,$5}' | s.in.ascii sites=name

  ## SEE ALSO

  r.buffer, r.cost, r.drain

  ## AUTHOR

  Michael Shapiro, U.S. Army Construction Engineering Research Laboratory

  Last changed: $Date: 2002/12/11 18:00:43 $